Package ec.steadystate

# Interface SteadyStateBSourceForm

All Known Implementing Classes:
  `BreedingPipeline`, `BucketTournamentSelection`, `BufferedBreedingPipeline`, `CheckingPipeline`, `CrossoverPipeline`, `DoubleTournamentSelection`, `FirstCopyPipeline`, `FirstSelection`, `ForceBreedingPipeline`, `GeneDuplicationPipeline`, `GenerationSwitchPipeline`, `GPBreedingPipeline`, `InitializationPipeline`, `InternalCrossoverPipeline`, `LexicographicTournamentSelection`, `ListCrossoverPipeline`, `MultiBreedingPipeline`, `MultipleVectorCrossoverPipeline`, `MutateAllNodesPipeline`, `MutateDemotePipeline`, `MutateERCPipeline`, `MutateOneNodePipeline`, `MutatePromotePipeline`, `MutateSwapPipeline`, `MutationPipeline`, `ProportionalTournamentSelection`, `RandomSelection`, `RatioBucketTournamentSelection`, `RehangPipeline`, `RepeatPipeline`, `ReproductionPipeline`, `RuleCrossoverPipeline`, `RuleMutationPipeline`, `SizeFairCrossoverPipeline`, `SpatialTournamentSelection`, `StubPipeline`, `TournamentSelection`, `UniquePipeline`, `VectorCrossoverPipeline`, `VectorMutationPipeline`

public interface SteadyStateBSourceForm

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `individualReplaced(SteadyStateEvolutionState state, int subpopulation, int thread, int individual)`
  Called whenever an individual has been replaced by another in the population.
  `void`
  `sourcesAreProperForm(SteadyStateEvolutionState state)`
  Issue an error (not a fatal -- we guarantee that callers of this method will also call exitIfErrors) if any of your sources, or their sources, etc., are not of SteadyStateBSourceForm.

- ## Method Details

  - ### individualReplaced

    void individualReplaced(SteadyStateEvolutionState state, int subpopulation, int thread, int individual)
    Called whenever an individual has been replaced by another in the population.

  - ### sourcesAreProperForm

    void sourcesAreProperForm(SteadyStateEvolutionState state)
    Issue an error (not a fatal -- we guarantee that callers of this method will also call exitIfErrors) if any of your sources, or their sources, etc., are not of SteadyStateBSourceForm.